### Name: mecter
### Title: Mechlorprop and terbythylazine tested on Lemna minor
### Aliases: mecter
### Keywords: datasets

### ** Examples


## Fitting the model with freely varying ED50 values
mecter.mfree <- drm(rgr~dose, pct, data=mecter, 
fct=LL.4(), pmodels=list(~1,~1,~1,~factor(pct) - 1)) 

## Lack-of-fit test
anova(mecter.mfree)  # not really acceptable
summary(mecter.mfree)

## Plotting isobole structure
isobole(mecter.mfree, exchange=0.02)

## Fitting the concentration addition model
mecter.mca <- mixture(rgr~dose, pct, data=mecter, collapse=~1, 
fct=LL.4(), model="CA")

## Comparing to model with freely varying e parameter
anova(mecter.mca, mecter.mfree)  # rejected

## Plotting isobole based on concentration addition
isobole(mecter.mfree, mecter.mca, exchange=0.02)  # poor fit

## Fitting the Hewlett model
mecter.mhew <- mixture(rgr~dose, pct, data=mecter, collapse=~1, 
fct=LL.4(), model="Hewlett")

## Comparing to model with freely varying e parameter
anova(mecter.mhew, mecter.mfree)  # rejected

## Plotting isobole based on concentration addition
isobole(mecter.mfree, mecter.mhew, exchange=0.02)  # poor fit

## Fitting the Voelund model
mecter.mvoe<-mixture(rgr~dose, pct, data=mecter, collapse=~1, 
fct=LL.4(), model="Voelund")

## Comparing to model with freely varying e parameter
anova(mecter.mvoe, mecter.mfree)  # accepted

## Plotting isobole based on concentration addition
isobole(mecter.mfree, mecter.mvoe, exchange=0.02)  # good fit




